// JavaScript Document
    function displaynone(myidname){
		var idname = new Array();
		idname = myidname.split(',');
		for(var i=0;i<idname.length;i++){
			document.getElementById(idname[i]).style.display='none';
			//alert(idname[i]); 
		}
	}
	
function preloadImg(src)
{
	var img=new Image();
	img.src=src
}
preloadImg("../images/admin_top_open.gif");

var displayBar=true;
function switchBar(obj)
{
	if (displayBar)
	{
		parent.frame.cols="0,*";
		displayBar=false;
		obj.src="../images/admin_top_open.gif";
		obj.title="打开左边管理菜单";
	}
	else{
		parent.frame.cols="180,*";
		displayBar=true;
		obj.src="../images/admin_top_close.gif";
		obj.title="关闭左边管理菜单";
	}
}

function showsubmenu(sid)
{
whichEl = eval("submenu" + sid);
if (whichEl.style.display == "none")
{
eval("submenu" + sid + ".style.display=\"\";");
}
else
{
eval("submenu" + sid + ".style.display=\"none\";");
}
}

//文章管理多选，确认等
function unselectall()
{
    if(document.myform.chkAll.checked){
	document.myform.chkAll.checked = document.myform.chkAll.checked&0;
    } 	
}

function CheckAll(form)
  {
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.Name != "chkAll"&&e.disabled==false)
       e.checked = form.chkAll.checked;
    }
  }
function ConfirmDel()
{
	if(confirm("确定要删除选中的资料吗？本操作不可恢复！"))
		return true;
	else
		return false;
}
//编辑资料检查
function CheckForm()
{ 

  if (document.myform.ClassID.value=="")
  {
    alert("所属栏目不能为空！");
	document.myform.ClassID.focus();
	return false;
  }

  if (document.myform.Title.value=="")
  {
    alert("标题不能为空！");
	document.myform.Title.focus();
	return false;
  }
  if (editor.eWebEditor.document.body.innerHTML=="")
  {
    alert("文章内容不能为空！");
	editor.eWebEditor.document.body.focus();
	return false;
  }
  if (document.myform.Content.value.length>2048000)
  {
    alert("文章内容太长，超出了ACCESS数据库的限制（2048K）！建议将文章分成几部分录入。");
	editor.HtmlEdit.focus();
	return false;
  }
  return true;  
}

function CheckFormCpt()
{ 

  if (document.myform2.name.value=="")
  {
    alert("名称及型号不能为空！");
	document.myform2.name.focus();
	return false;
  }

  if (document.myform2.price.value=="")
  {
    alert("价格不能为空！");
	document.myform2.price.focus();
	return false;
  }
  return true;  
}

function CheckFormPW()
{ 

  if (document.myform3.oldpw.value=="")
  {
    alert("原始密码不能为空！");
	document.myform3.oldpw.focus();
	return false;
  }

  if (document.myform3.newpw.value=="")
  {
    alert("新密码不能为空！");
	document.myform3.newpw.focus();
	return false;
  }
  
    if (!(document.myform3.newpw.value==document.myform3.newpw2.value))
  {
    alert("密码确认不一致！");
	document.myform3.newpw.focus();
	return false;
  }
  return true;  
}
function CheckFormDIY()
{ 

  if (document.SDIY.name.value=="")
  {
    alert("姓名不能为空！");
	document.SDIY.name.focus();
	return false;
  }

  if (document.SDIY.tel.value=="")
  {
    alert("电话不能为空！");
	document.SDIY.tel.focus();
	return false;
  }
  return true;  
}